yaml: yaml_token_s Struct Reference

yaml 0.2.5

Data Fields
yaml_token_s Struct Reference
Tokens

The token structure. More...

`#include <yaml.h>`

## Data Fields
yaml_token_type_t | type
| The token type. More...
union {
struct {
yaml_encoding_t encoding
| The stream encoding. More...
} stream_start
| The stream start (for `YAML_STREAM_START_TOKEN`). More...
struct {
yaml_char_t * value
| The alias value. More...
} alias
| The alias (for `YAML_ALIAS_TOKEN`). More...
struct {
yaml_char_t * value
| The anchor value. More...
} anchor
| The anchor (for `YAML_ANCHOR_TOKEN`). More...
struct {
yaml_char_t * handle
| The tag handle. More...
yaml_char_t * suffix
| The tag suffix. More...
} tag
| The tag (for `YAML_TAG_TOKEN`). More...
struct {
yaml_char_t * value
| The scalar value. More...
size_t length
| The length of the scalar value. More...
yaml_scalar_style_t style
| The scalar style. More...
} scalar
| The scalar value (for `YAML_SCALAR_TOKEN`). More...
struct {
int major
| The major version number. More...
int minor
| The minor version number. More...
} version_directive
| The version directive (for `YAML_VERSION_DIRECTIVE_TOKEN`). More...
struct {
yaml_char_t * handle
| The tag handle. More...
yaml_char_t * prefix
| The tag prefix. More...
} tag_directive
| The tag directive (for `YAML_TAG_DIRECTIVE_TOKEN`). More...
} | data
| The token data. More...
yaml_mark_t | start_mark
| The beginning of the token. More...
yaml_mark_t | end_mark
| The end of the token. More...

## Detailed Description

The token structure.

## Field Documentation

## ◆ type

yaml_token_type_t yaml_token_s::type

The token type.

## ◆ encoding

yaml_encoding_t yaml_token_s::encoding

The stream encoding.

## ◆ stream_start

struct { ... } yaml_token_s::stream_start

The stream start (for `YAML_STREAM_START_TOKEN`).

## ◆ value

yaml_char_t* yaml_token_s::value

The alias value.

The scalar value.

The anchor value.

## ◆ alias

struct { ... } yaml_token_s::alias

The alias (for `YAML_ALIAS_TOKEN`).

## ◆ anchor

struct { ... } yaml_token_s::anchor

The anchor (for `YAML_ANCHOR_TOKEN`).

## ◆ handle

yaml_char_t* yaml_token_s::handle

The tag handle.

## ◆ suffix

yaml_char_t* yaml_token_s::suffix

The tag suffix.

## ◆ tag

struct { ... } yaml_token_s::tag

The tag (for `YAML_TAG_TOKEN`).

## ◆ length

size_t yaml_token_s::length

The length of the scalar value.

## ◆ style

yaml_scalar_style_t yaml_token_s::style

The scalar style.

## ◆ scalar

struct { ... } yaml_token_s::scalar

The scalar value (for `YAML_SCALAR_TOKEN`).

## ◆ major

int yaml_token_s::major

The major version number.

## ◆ minor

int yaml_token_s::minor

The minor version number.

## ◆ version_directive

struct { ... } yaml_token_s::version_directive

The version directive (for `YAML_VERSION_DIRECTIVE_TOKEN`).

## ◆ prefix

yaml_char_t* yaml_token_s::prefix

The tag prefix.

## ◆ tag_directive

struct { ... } yaml_token_s::tag_directive

The tag directive (for `YAML_TAG_DIRECTIVE_TOKEN`).

## ◆ data

union { ... } yaml_token_s::data

The token data.

## ◆ start_mark

yaml_mark_t yaml_token_s::start_mark

The beginning of the token.

## ◆ end_mark

yaml_mark_t yaml_token_s::end_mark

The end of the token.

The documentation for this struct was generated from the following file:

- yaml.h